"""Provide tools for integrating and analyzing weather data in energy analysis.

This package is designed to facilitate the computation of degree days and analyze the
influence of outdoor temperature on energy consumption. It includes methods to
calculate different types of degree days (e.g., heating and cooling).

Main Features
-------------
- **Degree Days Computation**: Functions to compute heating, cooling, and both types
  of degree days to measure energy needs based on temperature.
- **Flexible Calculation Methods**: Supports multiple methods for calculating degree
  days, such as integral, mean temperature, and min-max methods.
- **Temperature Analysis**: Tools to understand and model the effect of temperature
  on energy consumption, helping to quantify the impact of weather conditions.

"""
